Skip to content
Pile
Esc
navigateopen⌘Jpreview

Create git identity

POST/workspaces/{organizationId}/git/identities
Path parameters
organizationIdstringrequired
Request body
application/json
repostringrequired
namestringrequired
emailstringrequired
matches ^[^@\s]+@[^@\s]+\.[^@\s]+$
githubUsernamestring | null
signingKeyRefstring | null
Responses
200Git identity saved
idstringrequired
organizationIdstringrequired
repostringrequired
namestringrequired
emailstringrequired
matches ^[^@\s]+@[^@\s]+\.[^@\s]+$
githubUsernamestring | nullrequired
signingKeyRefstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Parameters
Bodyapplication/json
Request
curl -X POST "/workspaces/string/git/identities" \
  -H "Content-Type: application/json" \
  -d '{
  "repo": "string",
  "name": "string",
  "email": "string",
  "githubUsername": "string",
  "signingKeyRef": "string"
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "repo": "string",
  "name": "string",
  "email": "string",
  "githubUsername": "string",
  "signingKeyRef": "string",
  "createdAt": "string",
  "updatedAt": "string"
}